Skip to main content
PATCH
Typescript (SDK)

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Body

application/json
title
string

Lesson title (defaults to "Lesson N")

lesson_type
string

Lesson type (defaults to multimedia)

html_content
string | null

Rich-text lesson body

video_url
string | null

URL of the lesson's video

is_published
boolean

Response

Lesson updated

id
string
required
object
string
required
title
string
required
position
integer
required
lesson_type
string
required
published
boolean
required
published_at
string<date-time> | null
required
html_content
string | null
required
chapter
string
required
video_url
string | null
required
files
object[]
required